<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* themes/contrib/posgrado/templates/page.html.twig */
class __TwigTemplate_0a113a831644436562b066c4334784debb245016c47a14038413d8b52b234fe4 extends \Twig\Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'navbar' => [$this, 'block_navbar'],
            'navigation_megamenu' => [$this, 'block_navigation_megamenu'],
            'banner' => [$this, 'block_banner'],
            'frontpage' => [$this, 'block_frontpage'],
            'main' => [$this, 'block_main'],
            'header' => [$this, 'block_header'],
            'sidebar_first' => [$this, 'block_sidebar_first'],
            'highlighted' => [$this, 'block_highlighted'],
            'help' => [$this, 'block_help'],
            'content' => [$this, 'block_content'],
            'sidebar_second' => [$this, 'block_sidebar_second'],
            'topfooter' => [$this, 'block_topfooter'],
            'footer' => [$this, 'block_footer'],
        ];
        $this->sandbox = $this->env->getExtension('\Twig\Extension\SandboxExtension');
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 54
        $context["container"] = ((twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "settings", [], "any", false, false, true, 54), "fluid_container", [], "any", false, false, true, 54)) ? ("container-fluid") : ("container"));
        // line 56
        if ((twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "navigation", [], "any", false, false, true, 56) || twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "navigation_collapsible", [], "any", false, false, true, 56))) {
            // line 57
            echo "  ";
            $this->displayBlock('navbar', $context, $blocks);
        }
        // line 94
        echo "
";
        // line 96
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "navigation_megamenu", [], "any", false, false, true, 96)) {
            // line 97
            echo "  ";
            $this->displayBlock('navigation_megamenu', $context, $blocks);
        }
        // line 103
        echo "
";
        // line 105
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "banner", [], "any", false, false, true, 105)) {
            // line 106
            echo "  ";
            $this->displayBlock('banner', $context, $blocks);
        }
        // line 112
        echo "
";
        // line 114
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "frontpage", [], "any", false, false, true, 114)) {
            // line 115
            echo "  ";
            $this->displayBlock('frontpage', $context, $blocks);
        }
        // line 121
        echo "
";
        // line 123
        $this->displayBlock('main', $context, $blocks);
        // line 188
        echo "
";
        // line 190
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "topfooter", [], "any", false, false, true, 190)) {
            // line 191
            echo "  ";
            $this->displayBlock('topfooter', $context, $blocks);
        }
        // line 197
        echo "
";
        // line 198
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "footer", [], "any", false, false, true, 198)) {
            // line 199
            echo "  ";
            $this->displayBlock('footer', $context, $blocks);
        }
    }

    // line 57
    public function block_navbar($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 58
        echo "    ";
        // line 59
        $context["navbar_classes"] = [0 => "navbar", 1 => ((twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source,         // line 61
($context["theme"] ?? null), "settings", [], "any", false, false, true, 61), "navbar_inverse", [], "any", false, false, true, 61)) ? ("navbar-inverse") : ("navbar-default")), 2 => ((twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source,         // line 62
($context["theme"] ?? null), "settings", [], "any", false, false, true, 62), "navbar_position", [], "any", false, false, true, 62)) ? (("navbar-" . \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "settings", [], "any", false, false, true, 62), "navbar_position", [], "any", false, false, true, 62), 62, $this->source)))) : (($context["container"] ?? null)))];
        // line 65
        echo "    <header";
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["navbar_attributes"] ?? null), "addClass", [0 => ($context["navbar_classes"] ?? null)], "method", false, false, true, 65), 65, $this->source), "html", null, true);
        echo " id=\"navbar\" role=\"banner\">
      ";
        // line 66
        if ( !twig_get_attribute($this->env, $this->source, ($context["navbar_attributes"] ?? null), "hasClass", [0 => ($context["container"] ?? null)], "method", false, false, true, 66)) {
            // line 67
            echo "        <div class=\"container\">
      ";
        }
        // line 69
        echo "      <div class=\"navbar-header\">
        ";
        // line 70
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "navigation", [], "any", false, false, true, 70), 70, $this->source), "html", null, true);
        echo "
        ";
        // line 72
        echo "        ";
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "navigation_collapsible", [], "any", false, false, true, 72)) {
            // line 73
            echo "          <button type=\"button\" class=\"navbar-toggle\" data-toggle=\"collapse\" data-target=\"#navbar-collapse\">
            <span class=\"sr-only\">";
            // line 74
            echo $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("Toggle navigation"));
            echo "</span>
            <span class=\"icon-bar\"></span>
            <span class=\"icon-bar\"></span>
            <span class=\"icon-bar\"></span>
          </button>
        ";
        }
        // line 80
        echo "      </div>

      ";
        // line 83
        echo "      ";
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "navigation_collapsible", [], "any", false, false, true, 83)) {
            // line 84
            echo "        <div id=\"navbar-collapse\" class=\"navbar-collapse collapse\">
          ";
            // line 85
            echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "navigation_collapsible", [], "any", false, false, true, 85), 85, $this->source), "html", null, true);
            echo "
        </div>
      ";
        }
        // line 88
        echo "      ";
        if ( !twig_get_attribute($this->env, $this->source, ($context["navbar_attributes"] ?? null), "hasClass", [0 => ($context["container"] ?? null)], "method", false, false, true, 88)) {
            // line 89
            echo "        </div>
      ";
        }
        // line 91
        echo "    </header>
  ";
    }

    // line 97
    public function block_navigation_megamenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 98
        echo "    <div class=\"container-fluid\">
      ";
        // line 99
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "navigation_megamenu", [], "any", false, false, true, 99), 99, $this->source), "html", null, true);
        echo "
    </div>
  ";
    }

    // line 106
    public function block_banner($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 107
        echo "    <div class=\"container-fluid\">
      ";
        // line 108
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "banner", [], "any", false, false, true, 108), 108, $this->source), "html", null, true);
        echo "
    </div>
  ";
    }

    // line 115
    public function block_frontpage($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 116
        echo "    <div class=\"container-fluid\">
      ";
        // line 117
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "frontpage", [], "any", false, false, true, 117), 117, $this->source), "html", null, true);
        echo "
    </div>
  ";
    }

    // line 123
    public function block_main($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 124
        echo "  <div role=\"main\" class=\"main-container ";
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["container"] ?? null), 124, $this->source), "html", null, true);
        echo " js-quickedit-main-content\">
    <div class=\"row\">

      ";
        // line 128
        echo "      ";
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "header", [], "any", false, false, true, 128)) {
            // line 129
            echo "        ";
            $this->displayBlock('header', $context, $blocks);
            // line 134
            echo "      ";
        }
        // line 135
        echo "
      ";
        // line 137
        echo "      ";
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 137)) {
            // line 138
            echo "        ";
            $this->displayBlock('sidebar_first', $context, $blocks);
            // line 143
            echo "      ";
        }
        // line 144
        echo "
      ";
        // line 146
        echo "      ";
        // line 147
        $context["content_classes"] = [0 => (((twig_get_attribute($this->env, $this->source,         // line 148
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 148) && twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 148))) ? ("col-sm-6") : ("")), 1 => (((twig_get_attribute($this->env, $this->source,         // line 149
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 149) && twig_test_empty(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 149)))) ? ("col-sm-9") : ("")), 2 => (((twig_get_attribute($this->env, $this->source,         // line 150
($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 150) && twig_test_empty(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 150)))) ? ("col-sm-9") : ("")), 3 => (((twig_test_empty(twig_get_attribute($this->env, $this->source,         // line 151
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 151)) && twig_test_empty(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 151)))) ? ("col-sm-12") : (""))];
        // line 154
        echo "      <section";
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["content_attributes"] ?? null), "addClass", [0 => ($context["content_classes"] ?? null)], "method", false, false, true, 154), 154, $this->source), "html", null, true);
        echo ">

        ";
        // line 157
        echo "        ";
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "highlighted", [], "any", false, false, true, 157)) {
            // line 158
            echo "          ";
            $this->displayBlock('highlighted', $context, $blocks);
            // line 161
            echo "        ";
        }
        // line 162
        echo "
        ";
        // line 164
        echo "        ";
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "help", [], "any", false, false, true, 164)) {
            // line 165
            echo "          ";
            $this->displayBlock('help', $context, $blocks);
            // line 168
            echo "        ";
        }
        // line 169
        echo "
        ";
        // line 171
        echo "        ";
        $this->displayBlock('content', $context, $blocks);
        // line 175
        echo "      </section>

      ";
        // line 178
        echo "      ";
        if (twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 178)) {
            // line 179
            echo "        ";
            $this->displayBlock('sidebar_second', $context, $blocks);
            // line 184
            echo "      ";
        }
        // line 185
        echo "    </div>
  </div>
";
    }

    // line 129
    public function block_header($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 130
        echo "          <div class=\"col-sm-12\" role=\"heading\">
            ";
        // line 131
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "header", [], "any", false, false, true, 131), 131, $this->source), "html", null, true);
        echo "
          </div>
        ";
    }

    // line 138
    public function block_sidebar_first($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 139
        echo "          <aside class=\"col-sm-3\" role=\"complementary\">
            ";
        // line 140
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 140), 140, $this->source), "html", null, true);
        echo "
          </aside>
        ";
    }

    // line 158
    public function block_highlighted($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 159
        echo "            <div class=\"highlighted\">";
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "highlighted", [], "any", false, false, true, 159), 159, $this->source), "html", null, true);
        echo "</div>
          ";
    }

    // line 165
    public function block_help($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 166
        echo "            ";
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "help", [], "any", false, false, true, 166), 166, $this->source), "html", null, true);
        echo "
          ";
    }

    // line 171
    public function block_content($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 172
        echo "          <a id=\"main-content\"></a>
          ";
        // line 173
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "content", [], "any", false, false, true, 173), 173, $this->source), "html", null, true);
        echo "
        ";
    }

    // line 179
    public function block_sidebar_second($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 180
        echo "          <aside class=\"col-sm-3\" role=\"complementary\">
            ";
        // line 181
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 181), 181, $this->source), "html", null, true);
        echo "
          </aside>
        ";
    }

    // line 191
    public function block_topfooter($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 192
        echo "    <div class=\"container-fluid\">
      ";
        // line 193
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "topfooter", [], "any", false, false, true, 193), 193, $this->source), "html", null, true);
        echo "
    </div>
  ";
    }

    // line 199
    public function block_footer($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 200
        echo "    <footer class=\"footer container-fluid\" role=\"contentinfo\">
      ";
        // line 201
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "footer", [], "any", false, false, true, 201), 201, $this->source), "html", null, true);
        echo "
    </footer>
  ";
    }

    public function getTemplateName()
    {
        return "themes/contrib/posgrado/templates/page.html.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  418 => 201,  415 => 200,  411 => 199,  404 => 193,  401 => 192,  397 => 191,  390 => 181,  387 => 180,  383 => 179,  377 => 173,  374 => 172,  370 => 171,  363 => 166,  359 => 165,  352 => 159,  348 => 158,  341 => 140,  338 => 139,  334 => 138,  327 => 131,  324 => 130,  320 => 129,  314 => 185,  311 => 184,  308 => 179,  305 => 178,  301 => 175,  298 => 171,  295 => 169,  292 => 168,  289 => 165,  286 => 164,  283 => 162,  280 => 161,  277 => 158,  274 => 157,  268 => 154,  266 => 151,  265 => 150,  264 => 149,  263 => 148,  262 => 147,  260 => 146,  257 => 144,  254 => 143,  251 => 138,  248 => 137,  245 => 135,  242 => 134,  239 => 129,  236 => 128,  229 => 124,  225 => 123,  218 => 117,  215 => 116,  211 => 115,  204 => 108,  201 => 107,  197 => 106,  190 => 99,  187 => 98,  183 => 97,  178 => 91,  174 => 89,  171 => 88,  165 => 85,  162 => 84,  159 => 83,  155 => 80,  146 => 74,  143 => 73,  140 => 72,  136 => 70,  133 => 69,  129 => 67,  127 => 66,  122 => 65,  120 => 62,  119 => 61,  118 => 59,  116 => 58,  112 => 57,  106 => 199,  104 => 198,  101 => 197,  97 => 191,  95 => 190,  92 => 188,  90 => 123,  87 => 121,  83 => 115,  81 => 114,  78 => 112,  74 => 106,  72 => 105,  69 => 103,  65 => 97,  63 => 96,  60 => 94,  56 => 57,  54 => 56,  52 => 54,);
    }

    public function getSourceContext()
    {
        return new Source("", "themes/contrib/posgrado/templates/page.html.twig", "/home/nethanet/public_html/posgradoloyola/web/themes/contrib/posgrado/templates/page.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = array("set" => 54, "if" => 56, "block" => 57);
        static $filters = array("clean_class" => 62, "escape" => 65, "t" => 74);
        static $functions = array();

        try {
            $this->sandbox->checkSecurity(
                ['set', 'if', 'block'],
                ['clean_class', 'escape', 't'],
                []
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
